Main Page glibmm Namespaces Book

# Glib::Value_Enum< T > Class Template Reference
[Generic Values]

Base class of Glib::Value<T> specializations for enum types. More...

Inheritance diagram for Glib::Value_Enum< T >:

[legend]

List of all members.

## Public Types

typedef T | CppType

## Public Member Functions

void | set (CppType data)
CppType | get () const

## Detailed Description

### template <class T>
class Glib::Value_Enum< T >

Base class of Glib::Value<T> specializations for enum types.

## Member Typedef Documentation

template <class T>

typedef T Glib::Value_Enum<T>::CppType

## Member Function Documentation

template <class T>

void Glib::Value_Enum<T>::set | ( | CppType | data | ) | `[inline]`

References Glib::ValueBase_Enum::set_enum().

template <class T>

CppType Glib::Value_Enum<T>::get | ( |  | ) | const`[inline]`

References Glib::ValueBase_Enum::get_enum().

The documentation for this class was generated from the following file:

- value.h